%define group System/Configuration/Packaging
%define MandrakeUpdateVersion 7.1

Name: MandrakeUpdate
Version: %{MandrakeUpdateVersion}
Release: 8mdk
Source0: MandrakeUpdate.tar.bz2
Source1: MandrakeUpdate.menu.bz2
Source2: mandrakeupdate16.xpm.bz2
Source3: mandrakeupdate32.xpm.bz2
Source4: mandrakeupdate48.xpm.bz2
Copyright: GPL
BuildRoot: /var/tmp/%{name}

Summary: Easy updating of your Mandrake distribution
Requires: perl grpmi wget
Group: %{group}
%description
Easy updating of your Mandrake distribution. 
All you have to do is choose the updated packages you want to install.

%changelog
* Wed May 10 2000 DindinX <odin@mandrakesoft.com> 7.1-8mdk
- Added the missing Help File

* Thu May  4 2000 DindinX <odin@mandrakesoft.com> 7.1-7mdk
- Workaround a bug in the thread handling, to avod dead process

* Thu May  4 2000 DindinX <odin@mandrakesoft.com> 7.1-6mdk
- Fix typo in the Makefile (7.0 -> 7.1)

* Wed May  3 2000 DindinX <odin@mandrakesoft.com> 7.1-5mdk
- Fix a small but annoying bug

* Tue May  2 2000 DindinX <odin@mandrakesoft.com> 7.1-4mdk
- Added a button to validate the change of mirror

* Fri Apr 28 2000 DindinX <odin@mandrakesoft.com> 7.1-3mdk 
- Version 7.1
- cleanup MandrakeUpdate.pm
- Added 32x32 and 48x48 icons

* Tue Apr 11 2000 DindinX <odin@mandrakesoft.com> 7.0-16mdk
- Added a nice icon menu from Hlne's.

* Fri Mar 31 2000 DindinX <odin@mandrakesoft.com> 7.0-15mdk
- New Group
- Specs fixes
- Menu

* Mon Feb 28 2000 DindinX <odin@mandrakesoft.com> 7.0-14mdk
- Changed Taiwan naming scheme (Pablo)

* Thu Feb 10 2000 DindinX <odin@mandrakesoft.com> 7.0-13mdk
- Prelimirary support for proxies

* Thu Jan 27 2000 DindinX <odin@mandrakesoft.com> 7.0-12mdk
- New interface release, certainly a whole bunch of new bugs!

* Wed Dec 22 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Fix some typos

* Mon Dec 20 1999 Pixel <pixel@mandrakesoft.com>
- rebuild for 7.0
- new version by dindinx

* Sat Nov 20 1999 Pixel <pixel@mandrakesoft.com>
- merged in the translations from the CVS

* Sat Nov 20 1999 Pixel <pixel@linux-mandrake.com>
- using kdesu instead of gsu in grpmi
- removed gsu

* Sun Nov 07 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build release (pixel sux).

* Fri Sep 24 1999 Pixel <pixel@mandrakesoft.com>
- fixed a bug in MandrakeUpdate.pm (for i18n) 

* Thu Sep 23 1999 Francis Galiegue <francis@mandrakesoft.com>
- fixed English error in sources and redone the .po files
- please someone actually DO the de .po files
  and fill Makefile appropriately - de has been removed from LANG for now
- added French summary and descriptions

* Thu Aug 26 1999 Pixel <pixel@linux-mandrake.com>
- replaced mirroir by miroir in the french po file
- changed version to 6.1

* Sat Aug 14 1999 Pixel <pixel@linux-mandrake.com>
many features added:
- wget -c instead of wget
- display the size of the rpms
- parse the descriptions file to get info on packages: flags (install or
upgrade), importance (essential, important, normal, optional), description,
pre-install message, post-install message

%package -n grpmi
Requires: perl wget kdesu
Provides: gmessage gchooser xtest
Summary: GUI frontend for rpms installation or upgrade
Group: %{group}
%description -n grpmi
Nice gtk+ GUI to see the rpms installation progress

%prep
%setup -n %{name} -q

%build
make CFLAGS="$RPM_OPT_FLAGS"

%install
make version=%{MandrakeUpdateVersion} prefix=$RPM_BUILD_ROOT install

#install menu
mkdir -p $RPM_BUILD_ROOT/usr/lib/menu
bzcat %{SOURCE1} > $RPM_BUILD_ROOT/usr/lib/menu/MandrakeUpdate
mkdir -p $RPM_BUILD_ROOT/usr/share/icons/mini
mkdir -p $RPM_BUILD_ROOT/usr/share/icons/large
bzcat %{SOURCE2} > $RPM_BUILD_ROOT/usr/share/icons/mini/mandrakeupdate.xpm
bzcat %{SOURCE3} > $RPM_BUILD_ROOT/usr/share/icons/mandrakeupdate.xpm
bzcat %{SOURCE4} > $RPM_BUILD_ROOT/usr/share/icons/large/mandrakeupdate.xpm

%post
## menu
if [ -x /usr/bin/update-menus ]; then
  /usr/bin/update-menus
fi

%postun
## menu
if [ "$1" = 0 ]; then
  if [ -x /usr/bin/update-menus ]; then
    /usr/bin/update-menus
  fi
fi


%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/$RPM_PACKAGE_NAME

%files
%defattr(-,root,root)
/usr/X11R6/bin/MandrakeUpdate
/usr/X11R6/bin/MandrakeUpdate.pm
/usr/share/locale/*/LC_MESSAGES/MandrakeUpdate.mo
/usr/lib/menu/MandrakeUpdate
/usr/share/help/MandrakeUpdate.HelpFile
/usr/share/icons/mini/mandrakeupdate.xpm
/usr/share/icons/mandrakeupdate.xpm
/usr/share/icons/large/mandrakeupdate.xpm

%files -n grpmi
%defattr(-,root,root)
/usr/X11R6/bin/gmessage
/usr/X11R6/bin/gchooser
/usr/X11R6/bin/grpmi
/usr/X11R6/bin/grpmi.pm
/usr/X11R6/bin/xtest
/usr/share/locale/*/LC_MESSAGES/grpmi.mo
